List current-user inbox notifications.
GET
/api/workspace/notifications/inbox
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://example.com/api/workspace/notifications/inbox?state=0&severity=0"), Headers = { { "Authorization", "Bearer <token>" }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/notifications/inbox?state=0&severity=0';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/workspace/notifications/inbox?state=0&severity=0' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”state
Inbox list state filter.
integer format: int32
Inbox list state filter.
pageSize
integer format: int32
cursor
string
severity
integer format: int32
typeKey
string
sourceModuleKey
string
searchText
string
fromUtc
string format: date-time
toUtc
string format: date-time
access_token
string
Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Responses
Section titled “Responses”OK
Media typeapplication/json
object
Data
Notification inbox page.
object
Items
Array<object>
One durable notification in the current user’s inbox.
object
Id
string
TypeKey
string
Severity
integer format: int32
SourceModuleKey
string
SourceKind
string
SourceId
string
Title
string
Body
string
Link
Resolved structured navigation link for a notification.
object
State
integer format: int32
Resource
Stable identity of one Moltaro resource instance.
object
ModuleKey
string
ResourceKind
string
ContextResourceId
string
ResourceObjectId
string
DisplayName
string
SafeLabel
string
OpenTarget
object
TargetCode
string
Parameters
object
key
additional properties
string
CanOpen
boolean
MessageCode
string
OccurredAtUtc
string format: date-time
CreatedAtUtc
string format: date-time
ReadAtUtc
string format: date-time
ArchivedAtUtc
string format: date-time
ExpiresAtUtc
string format: date-time
NextCursor
string
Errors
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Warnings
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Success
boolean
Example
{ "Data": { "Items": [ { "Severity": 0, "Link": { "State": 0 } } ] }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Bad Request
Media typeapplication/json
object
Data
Notification inbox page.
object
Items
Array<object>
One durable notification in the current user’s inbox.
object
Id
string
TypeKey
string
Severity
integer format: int32
SourceModuleKey
string
SourceKind
string
SourceId
string
Title
string
Body
string
Link
Resolved structured navigation link for a notification.
object
State
integer format: int32
Resource
Stable identity of one Moltaro resource instance.
object
ModuleKey
string
ResourceKind
string
ContextResourceId
string
ResourceObjectId
string
DisplayName
string
SafeLabel
string
OpenTarget
object
TargetCode
string
Parameters
object
key
additional properties
string
CanOpen
boolean
MessageCode
string
OccurredAtUtc
string format: date-time
CreatedAtUtc
string format: date-time
ReadAtUtc
string format: date-time
ArchivedAtUtc
string format: date-time
ExpiresAtUtc
string format: date-time
NextCursor
string
Errors
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Warnings
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Success
boolean
Example
{ "Data": { "Items": [ { "Severity": 0, "Link": { "State": 0 } } ] }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Forbidden
Media typeapplication/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}